# Teleskope Helm Charts

Once you have provided Teleskope with your AWS ID, you will have the permissions to pull the helm chart you need.

## Usage

### teleskope-self-hosted

This helm chart configuration is for deploying Teleskope in your kubernetes cluster.

```
# Default values for teleskope-fullstack.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

awsAccountID: <your_aws_account_id>

crawler:
  enable: true
  servicePort: 80
  configmapData:

crawlerDispatcher:
  enable: true
  servicePort: 80
  configmapData:

mlClassifier:
  enable: true
  servicePort: 80
  configmapData:
    tokenizer_count: 2
    api_count: 1
    collection_count: 1
    sbd_count: 2

scanner:
  enable: true
  servicePort: 80
  configmapData:

scannerDispatcher:
  enable: true
  servicePort: 80
  configmapData:
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teleskope.ai/setup/teleskope-helm-charts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
